import { EnhancedContext } from './enhanced-context.js';
import { TaskContextFactory } from './task-context-factory.js';
import { ConfigManager } from './config-manager.js';
import { ContextTrimmer } from './context-trimmer.js';
import type { 
  ContextMode, 
  IContextConfig, 
  IContextResult,
  IFileInfo,
  ITrimConfig,
  ITaskConfig,
  TaskType
} from './types.js';

export {
  // Classes
  EnhancedContext,
  TaskContextFactory,
  ConfigManager,
  ContextTrimmer,
};

// Types
export type {
  ContextMode,
  IContextConfig,
  IContextResult,
  IFileInfo,
  ITrimConfig,
  ITaskConfig,
  TaskType
};